Page({

  /**
   * 页面的初始数据
   */
  data: {
    category: [{
      name: '全部',
      id: '1'
    },
      {
        name: '分类',
        id: '2'
      },
      {
        name: '分类',
        id: '3'
      },
      {
        name: '分类',
        id: '4'
      },
      {
        name: '分类',
        id: '5'
      },
      {
        name: '分类',
        id: '6'
      }
    ],
    currentCategory: '1',
    navScrollLeft: -1,
    pagenum: 0,
    pagesize: 20,
    finished: false, // 所有数据是否加载完
    isRefresh: false, // 是否下拉刷新
    isFetchLock: false, // 接口调用加锁
    list: [1],
    booLock: false
  },
  freshing: false,

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {

  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  handleNav(e) {
    const {
      item
    } = e.currentTarget.dataset

    this.setData({
      currentCategory: item.id,
      navScrollLeft: 0
    })
  },
  jumpBusinessDetail(e) {
    const {
      item
    } = e.currentTarget.dataset

    wx.navigateTo({
      url: '/pages/businessDetail/businessDetail?businessId=' + item
    })
  }
})
